For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETList Projects
          • GETGet a Project
          • PATCHUpdate a Project
          • DELDelete a Project
          • DELLeave a Project
          • GETList Project Models
          • GETGet a Project Model
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageProjects

List Projects

GET
https://api.deepgram.com/v1/projects
GET
/v1/projects
1import requests
2
3url = "https://api.deepgram.com/v1/projects"
4
5payload = {}
6headers = {
7 "Authorization": "Token <apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.get(url, json=payload, headers=headers)
12
13print(response.json())
Try it
1{
2 "projects": [
3 {
4 "project_id": "proj_9f8b7c6d5e4a3b2c1d0e",
5 "name": "Customer Support Transcriptions"
6 }
7 ]
8}
Retrieves basic information about the projects associated with the API key
Was this page helpful?
Previous

Get a Project

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Response

A list of projects
projectslist of objects

Errors

400
Bad Request Error